package com.rdkr.tide_display.backend.gcp;

import java.io.IOException;
import java.util.List;
import org.springframework.web.multipart.MultipartFile;

public interface StorageService {

  List<Firmware> getFirmwareVersions();

  byte[] download(String version, String filename);

  String upload(MultipartFile file) throws IOException;

  void save(String filename, byte[] data, String contentType, int expire);
}
